### Method

# Gcr Parser parse_data

#### Declaration [src]

    gboolean
    gcr_parser_parse_data (
      GcrParser* self,
      const guchar* data,
      gsize n_data,
      GError** error
    )

#### Description [src]

Parse the data. The `GcrParser::parsed` and `GcrParser::authenticate` signals may fire during the parsing.

A copy of the data will be made. Use `gcr_parser_parse_bytes()` to avoid this.

#### Parameters

`data`

  Type: An array of `guchar`

  The data to parse.

  The length of the array is specified in the `n_data` argument.
  The data is owned by the caller of the method.

`n_data`

  Type: `gsize`

  The length of the data.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the data was parsed successfully or not.